Plesk\backup\Agent\Schema\Backup\VdirType\CachingAType\ProfilesAType\ProfileAType:
    properties:
        extension:
            expose: true
            access_type: public_method
            serialized_name: extension
            accessor:
                getter: getExtension
                setter: setExtension
            xml_attribute: true
            type: string
        kernelCachePolicy:
            expose: true
            access_type: public_method
            serialized_name: kernelCachePolicy
            accessor:
                getter: getKernelCachePolicy
                setter: setKernelCachePolicy
            xml_attribute: true
            type: string
        duration:
            expose: true
            access_type: public_method
            serialized_name: duration
            accessor:
                getter: getDuration
                setter: setDuration
            xml_attribute: true
            type: string
